com.sun.grid.jgdi.event

## Class DelEvent

- java.lang.Object
- - com.sun.grid.jgdi.event.Event
  - - com.sun.grid.jgdi.event.ChangedObjectEvent
    - - com.sun.grid.jgdi.event.DelEvent

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    AdminHostDelEvent, AdvanceReservationDelEvent, CalendarDelEvent, CheckpointDelEvent, ClusterQueueDelEvent, ComplexEntryDelEvent, ConfigurationDelEvent, ExecHostDelEvent, HostgroupDelEvent, JobDelEvent, JobSchedulingInfoDelEvent, JobTaskDelEvent, ManagerDelEvent, OperatorDelEvent, ParallelEnvironmentDelEvent, PETaskDelEvent, ProjectDelEvent, QueueInstanceDelEvent, ResourceQuotaSetDelEvent, SchedConfDelEvent, ShareTreeDelEvent, SubmitHostDelEvent, UserDelEvent, UserSetDelEvent

      public abstract class DelEvent
      extends ChangedObjectEvent
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelEvent(long timestamp, int eventId, java.lang.Class objectType)` Creates a new instance of AbstractDelEvent

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `hasDeletedObject(java.lang.Object obj)` Determine if this event has deleted `obj`

    - ### Methods inherited from class com.sun.grid.jgdi.event.ChangedObjectEvent

      `getChangedObject, getObjectType, setChangedObject, setPKInfo, toString`

    - ### Methods inherited from class com.sun.grid.jgdi.event.Event

      `getEventId, getTimestamp, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DelEvent

          public DelEvent(long timestamp,
                          int eventId,
                          java.lang.Class objectType)

      Creates a new instance of AbstractDelEvent

  - ### Method Detail

    - #### hasDeletedObject

          public abstract boolean hasDeletedObject(java.lang.Object obj)

      Determine if this event has deleted `obj`
      Parameters:
        `obj` - the object
      Returns:
        `true` if this event has deleted `obj`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.